## Mark Invoice Uncollectible

### cURL

```bash
curl --request POST \
  --url https://api.withflex.com/v1/invoices/{id}/mark_uncollectible \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://api.withflex.com/v1/invoices/{id}/mark_uncollectible"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/invoices/{id}/mark_uncollectible', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.withflex.com/v1/invoices/{id}/mark_uncollectible",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.withflex.com/v1/invoices/{id}/mark_uncollectible"

req, _ := http.NewRequest("POST", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```java
HttpResponse<String> response = Unirest.post("https://api.withflex.com/v1/invoices/{id}/mark_uncollectible")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/invoices/{id}/mark_uncollectible")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Status Codes

- 200
- 401
- 403
- 404
- 409
- 422
- 429

### Example Response

```json
{
  "invoice": {
    "invoice_id": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "total": 2500,
    "amount_due": 2500,
    "amount_paid": 2500,
    "charge": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "period_end": "string",
    "period_start": "string",
    "paid_at": "string",
    "status": "draft",
    "collection_method": "charge_automatically",
    "test_mode": false,
    "metadata": {
      "order_id": "8842",
      "channel": "shopify"
    },
    "created_at": "2026-06-15T14:30:00Z"
  }
}
```

### Error Response

```json
{
  "code": "string",
  "detail": "string"
}
```

### Authorization

- **Authorization**: Bearer token required in the header to access this API.

### Path Parameters

- **id**: string required. Example: "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA".

### Response

- **200**: application/json wrapping a single invoice object.
